
<div class="dish-header">
    <div class="header-text">
        <p>Dishes</p>
    </div>
    <div class="search">
        <mat-form-field appearance="outline">
            <mat-label>Search</mat-label>
            <input matInput placeholder="Press Enter to search..." [(value)]="searchValue" (keyup)="onSearchChange($event, $event.target.value)">
        </mat-form-field>
    </div>
    <div class="header-button">
        <button class="button" routerLink="create-dish">Create a new dish</button>
        <button class="button" (click)="importDish()">Import a dish</button>
    </div>
</div>

<div class="dish-wrapper" *ngFor="let dish of dishes.dishes">
    <div class="dish-card">
        <div class="dish-name">
            <p>{{dish.name}}</p>
        </div>
        <div class="dish-detail">
            <p>{{dish.calories}} <i>cal</i></p>
            <button *ngIf="dish.ingredients.length > 0" mat-button [matMenuTriggerFor]="menu">Main Ingredients</button>
            <mat-menu #menu="matMenu">
                <mat-chip-list aria-label="Main Ingredients">
                    <p><mat-chip *ngFor="let ingredient of dish.ingredients">{{ingredient.name}}</mat-chip></p>
                </mat-chip-list>
            </mat-menu>

            
            <a [routerLink]="[dish.uuid]" class="clickable"><mat-icon>open_in_new</mat-icon><p></p></a>
        </div>
    </div>
</div>
<mat-paginator [length]="dishes.total"
               [pageSize]="10"
               (page)="loadMoreDishes($event)"
               aria-label="Select page">
</mat-paginator>
